<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" exclude-result-prefixes="xsl xe msxsl CM" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xe="http://www.CrossFactory.net/XmlEditor" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:CM="http://www.CrossFactory.net/ContentManager/">
<xsl:import href="%URLGlobalXslt%" />
<xsl:output method="xml" version="1.0" omit-xml-declaration="yes" indent="no"/>



<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
	
	<xsl:template match="Eventcontent">
		<table class="Eventcontent" valign="top" border="0" cellpadding="0" cellspacing="0" width="100%">
			<xsl:call-template name="XmlEditorInfo" />
			<tr>
				<td width="100%">
					<xsl:apply-templates select="event">
						<xsl:sort select="substring(dateEvent,7,4)" order="descending"></xsl:sort>
						<xsl:sort select="substring(dateEvent,4,2)" order="descending"></xsl:sort>
						<xsl:sort select="substring(dateEvent,1,2)" order="descending"></xsl:sort>
					</xsl:apply-templates>
					<br/>
					<br/>
				</td>
			</tr>
		</table>
	</xsl:template>
		
<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->	
																							
	<xsl:template match="event">
		<table class="eventTable" width="100%" valign="top">	
				<xsl:call-template name="XmlEditorInfo" />
				<xsl:apply-templates select="eventTitle" />
      <!--<xsl:apply-templates select="dateEvent" />-->
				<xsl:apply-templates select="eventText" />
				<tr>
					<td>
						<xsl:apply-templates select="section" />
					</td>
				</tr>
				<tr>
					<td><hr class="horizontalline" /></td>
				</tr>
		</table>
	</xsl:template>

	<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx 
	
	<xsl:template match="dateEvent">
		<tr>
			<td width="150" class="dateEvent">
				<xsl:call-template name="XmlEditorInfo" />
				<xsl:call-template name="XmlEditorStartTextBlock" />
					<xsl:if test="string-length(translate(text(), ' ', '')) = 0 and string-length(translate(stylerule/text(), ' ', '')) = 0 and string-length(translate(hyperlink/text(), ' ', '')) = 0">
						<xsl:value-of select="$xe:labels/label[name = 'dateEvent']/*[name(.) = $xe:userLanguage]/text()"/>
					</xsl:if>
					<xsl:apply-templates />
				<xsl:call-template name="XmlEditorEndTextBlock" />
			</td>
		</tr>
	</xsl:template>-->
	
	<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
	
	<xsl:template match="eventTitle">
		<tr>
			<td width="400">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<xsl:call-template name="XmlEditorInfo" />
					<tr>
						<td valign="top"><p class="eventpagetitle"><xsl:call-template name="XmlEditorStartTextBlock" /><xsl:if test="string-length(translate(text(), ' ', '')) = 0 and string-length(translate(stylerule/text(), ' ', '')) = 0 and string-length(translate(hyperlink/text(), ' ', '')) = 0"><xsl:value-of select="$xe:labels/label[name = 'eventTitle']/*[name(.) = $xe:userLanguage]/text()"/></xsl:if><xsl:apply-templates /><xsl:call-template name="XmlEditorEndTextBlock" /></p></td>
					</tr>
				</table>
			</td>
		</tr>
	</xsl:template>
	
	<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx 
	
	<xsl:template match="eventText">
		<tr>
			<td width="400">
				<table cellpadding="0" cellspacing="0" border="0" width="330px">
					<xsl:call-template name="XmlEditorInfo" />
					<tr>
						<td valign="top"><p class="eventpagetext"><xsl:call-template name="XmlEditorStartTextBlock" /><xsl:if test="string-length(translate(text(), ' ', '')) = 0 and string-length(translate(stylerule/text(), ' ', '')) = 0 and string-length(translate(hyperlink/text(), ' ', '')) = 0"><xsl:value-of select="$xe:labels/label[name = 'eventTitle']/*[name(.) = $xe:userLanguage]/text()"/></xsl:if><xsl:apply-templates /><xsl:call-template name="XmlEditorEndTextBlock" /></p></td>
					</tr>
				</table>
			</td>
		</tr>
	</xsl:template>-->
	
	<!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
	
	<xsl:template match="eventText">
		<tr>
			<td>
				<xsl:call-template name="XmlEditorInfo" />
				<xsl:call-template name="XmlEditorStartTextBlock"><xsl:with-param name="allowEnter">yes</xsl:with-param></xsl:call-template><xsl:if test="string-length(translate(text(), ' ', '')) = 0 and string-length(translate(stylerule/text(), ' ', '')) = 0 and string-length(translate(hyperlink/text(), ' ', '')) = 0"><xsl:value-of select="$xe:labels/label[name = 'eventText']/*[name(.) = $xe:userLanguage]/text()"/></xsl:if><xsl:value-of select="." disable-output-escaping="yes" /><xsl:call-template name="XmlEditorEndTextBlock" />
			</td>
		</tr>
	</xsl:template>

  <!--xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx-->
  
</xsl:stylesheet>

  