<%@ Page language="c#" MasterPageFile="Admin.master" Codebehind="AllPagesView.aspx.cs" AutoEventWireup="True" Inherits="CrossFactory.SiteNote.Admin.AllPagesView" %>
	<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        <table>
	        <asp:DataGrid ID="allPagesView" AutoGenerateColumns="False" AllowSorting="True" Runat="server">
		        <Columns>
			        <asp:TemplateColumn HeaderText="Created on" SortExpression="CreatedOn" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader">
				        <ItemTemplate>
					        <%# CrossFactory.SiteNote.Components.Utils.ConvertToCultureDateFormat((DateTime)DataBinder.Eval(Container.DataItem,"CreatedOn")) %>
				        </ItemTemplate>
			        </asp:TemplateColumn>
			        <asp:TemplateColumn HeaderText="Created by" SortExpression="CreatedBy" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <%# DataBinder.Eval(Container.DataItem,"CreatedBy") %>
				        </ItemTemplate>
			        </asp:TemplateColumn> 
			        <asp:TemplateColumn HeaderText="Name" SortExpression="Name" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <img src="/Images/Common/Transp.gif" height="5" width='<%# DataBinder.Eval(Container.DataItem,"Level") %>' alt="" /><%# DataBinder.Eval(Container.DataItem,"Name") %>
				        </ItemTemplate>
			        </asp:TemplateColumn> 
			        <asp:TemplateColumn HeaderText="Title" SortExpression="Title" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <%# DataBinder.Eval(Container.DataItem,"Title") %>
				        </ItemTemplate>
			        </asp:TemplateColumn>
			        <asp:TemplateColumn HeaderText="Template" SortExpression="Template" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <%# DataBinder.Eval(Container.DataItem,"Template") %>
				        </ItemTemplate>
			        </asp:TemplateColumn>
			        <asp:TemplateColumn HeaderText="Address" SortExpression="VirtualPath" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <a href="<%# DataBinder.Eval(Container.DataItem,"VirtualPath") %>"><%# DataBinder.Eval(Container.DataItem,"VirtualPath") %></a>
				        </ItemTemplate>
			        </asp:TemplateColumn> 
			        <asp:TemplateColumn HeaderText="Hidden" SortExpression="Hidden" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <img src="<%# GetImage((bool)DataBinder.Eval(Container.DataItem,"Hidden")) %>" alt="" />
				        </ItemTemplate>
			        </asp:TemplateColumn> 
			        <asp:TemplateColumn HeaderText="Page group" SortExpression="Container" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <img src="<%# GetImage((bool)DataBinder.Eval(Container.DataItem,"Container")) %>" alt="" />
				        </ItemTemplate>
			        </asp:TemplateColumn>
			        <asp:TemplateColumn HeaderText="Offline" SortExpression="Offline" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <img src="<%# GetImage((bool)DataBinder.Eval(Container.DataItem,"Offline")) %>" alt="" />
				        </ItemTemplate>
			        </asp:TemplateColumn>
			        <asp:TemplateColumn HeaderText="Last modifified on" SortExpression="LastModifiedOn" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <%# CrossFactory.SiteNote.Components.Utils.ConvertToCultureDateFormat((DateTime)DataBinder.Eval(Container.DataItem,"LastModifiedOn")) %>
				        </ItemTemplate>
			        </asp:TemplateColumn>
			        <asp:TemplateColumn HeaderText="Last modifified by" SortExpression="LastModifiedBy" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <%# DataBinder.Eval(Container.DataItem,"LastModifiedBy") %>
				        </ItemTemplate>
			        </asp:TemplateColumn>
			        <asp:TemplateColumn HeaderText="Last Change type" SortExpression="ChangeType" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <%# DataBinder.Eval(Container.DataItem, "ChangeType")%>
				        </ItemTemplate>
			        </asp:TemplateColumn>
			        <asp:TemplateColumn HeaderText="History" ItemStyle-CssClass="allPagesItem" HeaderStyle-CssClass="allPagesHeader" HeaderStyle-VerticalAlign="Middle" HeaderStyle-HorizontalAlign="Center" ItemStyle-VerticalAlign="Middle" ItemStyle-HorizontalAlign="Center">
				        <ItemTemplate>
					        <a href="#" onclick="OpenWindow('<%= CrossFactory.SiteNote.Components.Utils._ApplicationPath + CrossFactory.SiteNote.Components.Settings._settings.VirtualPath %>/Admin/PageHistoric.aspx?pageUrl=<%# DataBinder.Eval(Container.DataItem,"VirtualPath") %>')"><img src="<%= CrossFactory.SiteNote.Components.Utils._ApplicationPath + CrossFactory.SiteNote.Components.Settings._settings.VirtualPath %>/Admin/Images/history.gif" border="0" alt="History" /></a>
				        </ItemTemplate>
			        </asp:TemplateColumn>
		        </Columns>
	        </asp:DataGrid>
        </table>				
    </asp:Content>